> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Upload Wallets

> Bulk creates or updates recipient wallets with an explicit status, stamping approved/rejected verification requests.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/bulk-upload-wallets
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/bulk-upload-wallets:
    post:
      operationId: bulkUploadWallets
      summary: Bulk Upload Wallets
      description: >-
        Bulk creates or updates recipient wallets with an explicit status,
        stamping approved/rejected verification requests.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkUploadWalletsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkUploadWalletsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    BulkUploadWalletsRequest:
      type: object
      properties:
        wallets:
          type: array
          items:
            type: object
            properties:
              recipientID:
                type: string
                minLength: 1
              walletAddress:
                type: string
              network:
                type: string
              walletType:
                type: string
                enum:
                  - SELF_CUSTODY
                  - EXCHANGE
              status:
                type: string
                enum:
                  - PENDING
                  - PENDING_ADMIN_LINK_TXN
                  - PENDING_TXN_APPROVAL
                  - VERIFIED
                  - REJECTED
                  - ARCHIVED
                  - CANCELLED
              tokenTypeID:
                type: string
            required:
              - recipientID
              - walletAddress
              - network
              - walletType
              - status
          description: >-
            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
      required:
        - wallets
    BulkUploadWalletsResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
